package inf101.v18.rogue101.items;

import inf101.v18.rogue101.game.IGame;
import inf101.v18.rogue101.objects.IItem;

public class HealthPotion implements IConsumable {
    @Override
    public int hpIncrease() {
        return 100;
    }

    @Override
    public int attackIncrease() {
        return 0;
    }

    @Override
    public int defenceIncrease() {
        return 0;
    }

    @Override
    public int getCurrentHealth() {
        return 0;
    }

    @Override
    public int getDefence() {
        return 0;
    }

    @Override
    public int getMaxHealth() {
        return 0;
    }

    @Override
    public String getName() {
        return "Healing potion";
    }

    @Override
    public int getSize() {
        return 0;
    }

    @Override
    public String getSymbol() {
        return "H";
    }

    @Override
    public int handleDamage(IGame game, IItem source, int amount) {
        return 0;
    }
}
